PAlib: 16color pseudo-bitmap mode.

Main Page | Modules | File List | Globals | Search for

# 16color pseudo-bitmap mode.

## Functions

void | PA_Init16cBgEx (u8 screen, u8 bg, u8 npalette)
void | PA_Init16cBg (u8 screen, u8 bg)
| Initialise 16color background on which you can paste images...
void | PA_16cErase (u8 screen)
| Erase the 16color background. Must be used right after PA_WaitForVBL to avoid glitches
void | PA_Dual16cErase (void)
| Erase the 16color background on both screens. Must be used right after PA_WaitForVBL to avoid glitches
void | PA_InitComplete16c (u8 bg, void *Palette)
| Initialise a 16color background on each screen and give them a given palette
s16 | PA_16cText (u8 screen, s16 basex, s16 basey, s16 maxx, s16 maxy, char *text, u8 color, u8 size, s32 limit)
ALWAYSINLINE void | PA_16c8X4 (u8 screen, s16 x, s16 y, u32 *image)
| Load an 8x4 pixels image at a given position. Fastest of all pasting functions
ALWAYSINLINE void | PA_16c8X6 (u8 screen, s16 x, s16 y, u32 *image)
| Load an 8x6 pixels image at a given position. Second fastest of all pasting functions
ALWAYSINLINE void | PA_16c8X8 (u8 screen, s16 x, s16 y, u32 *image)
| Load an 8x8 pixels image at a given position.
ALWAYSINLINE void | PA_16c16X8 (u8 screen, s16 x, s16 y, u32 *image)
ALWAYSINLINE void | PA_16c16X12 (u8 screen, s16 x, s16 y, u32 *image)
ALWAYSINLINE void | PA_16c16X16 (u8 screen, s16 x, s16 y, u32 *image)

## Detailed Description

Special 16color background on which you can paste images. Usefull to show shots in SHMUP !

## Function Documentation

ALWAYSINLINE void PA_16c8X4 | ( | u8 | screen,
|  | s16 | x,
|  | s16 | y,
|  | u32 * | image
| ) |

Load an 8x4 pixels image at a given position. Fastest of all pasting functions

Parameters:

  | screen | Screen...
  | x | X position in pixels of the top left corner. Note that it ranges from -8 to 255, in order to allow half-way offscreen images. NEVER DRAW BEYOND THESE LIMITS, or else you'll get major background glitches
  | y | y position in pixels of the top left corner. Note that it ranges from -8 to 191, in order to allow half-way offscreen images. NEVER DRAW BEYOND THESE LIMITS, or else you'll get major background glitches
  | image | 16 color image to load. Use (u32*)ImageName if you get an error...

ALWAYSINLINE void PA_16c8X6 | ( | u8 | screen,
|  | s16 | x,
|  | s16 | y,
|  | u32 * | image
| ) |

Load an 8x6 pixels image at a given position. Second fastest of all pasting functions

Parameters:

  | screen | Screen...
  | x | X position in pixels of the top left corner. Note that it ranges from -8 to 255, in order to allow half-way offscreen images. NEVER DRAW BEYOND THESE LIMITS, or else you'll get major background glitches
  | y | y position in pixels of the top left corner. Note that it ranges from -8 to 191, in order to allow half-way offscreen images. NEVER DRAW BEYOND THESE LIMITS, or else you'll get major background glitches
  | image | 16 color image to load. Use (u32*)ImageName if you get an error...

ALWAYSINLINE void PA_16c8X8 | ( | u8 | screen,
|  | s16 | x,
|  | s16 | y,
|  | u32 * | image
| ) |

Load an 8x8 pixels image at a given position.

Parameters:

  | screen | Screen...
  | x | X position in pixels of the top left corner. Note that it ranges from -8 to 255, in order to allow half-way offscreen images. NEVER DRAW BEYOND THESE LIMITS, or else you'll get major background glitches
  | y | y position in pixels of the top left corner. Note that it ranges from -8 to 191, in order to allow half-way offscreen images. NEVER DRAW BEYOND THESE LIMITS, or else you'll get major background glitches
  | image | 16 color image to load. Use (u32*)ImageName if you get an error...

inline void PA_16cErase | ( | u8 | screen | ) | `[inline]`

Erase the 16color background. Must be used right after PA_WaitForVBL to avoid glitches

Parameters:

  | screen | Choose de screen (0 or 1)

inline void PA_Init16cBg | ( | u8 | screen,
|  | u8 | bg
| ) | `[inline]`

Initialise 16color background on which you can paste images...

Parameters:

  | screen | Choose de screen (0 or 1)
  | bg | Background number (0-3) Background number (0-3)
  | bg | Palette number (0-15) Numéro de palette (0-15)

inline void PA_InitComplete16c | ( | u8 | bg,
|  | void * | Palette
| ) | `[inline]`

Initialise a 16color background on each screen and give them a given palette

Parameters:

  | bg | Background number
  | Palette | 16 color palette...